{ lib, config, pkgs, ... }:
let cfg = config.syscfg.make.gui;
in {
  config = lib.mkIf cfg {

    services.greetd = {
      enable = true;
      settings = rec {
        initial_session = {
          command = "zsh";
          user = "${config.syscfg.defaultUser}";
        };
        default_session = initial_session;
      };
    };
    environment.etc."greetd/environments".text = ''
      Hyprland
    '';
  };
}

